#Eneroth Texture Positioning Tools

#Author:	Julia Christina Eneroth, Eneroth3, eneroth3@gmail.com

#Usage
#	Menu: Plugins > Texture Positioning
#		Align Texture:				Align texture of each face to one of its sides, usually the one first drawn.
#		Align Texture To Edge:		Align texture of faces to selected line. Only one line can be selected
#		Rotate Counter Clockwise:	Rotates the material of all selected faces 90 degrees counter clockwise.
#		Rotate Clockwise:			Rotates the material of all selected faces 90 degrees clockwise.
#		Rotate Custom angle:		Rotates the material of all selected faces counter clockwise a promped angle.
#		Depatternize:				Move around textures randomly to prevent patterns between faces.

#Copyright Julia Christina Eneroth (eneroh3)
#	Free to use both professional and unprofessional.
#	Free to spread as long as credit goes to me.

#Known bugs and issues
#	<none>

#Changelog
#	1.0.0 2013-05-23
#		*Merged from 3 different material positioning plugins I've made
#			-Put all functions and menu handlers in one file and the icons in one folder.
#			-Fixed separate command tooltip (name) and status_bar_text (description).
#			-Fixed ruby errors when canceling custom angle dialog.
#			-Better comments.
#			-Added start and commit operation so users can undo all changes at once.
#			-Made aligner available for non-horizontal faces (checks if vector is in the plane of the face, not if the face is horizontal).
#			-Wrapped into extension.
#	1.0.1 2013-06-02
#		*Fixed small icons.
#	1.0.2 2013-06-06
#		*Called tb.show to fix hidden toolbar issue.
# 1.0.3 2013-12-15
#   *Can now be loaded from other folder than plugin default
#   *Spelling
#   *Changed character encoding to utf8 without BOM

#Load the normal support files
require 'sketchup.rb'
require 'extensions.rb'


module Ene_texturePositioning

PLUGIN_ROOT = File.dirname(__FILE__) unless defined?(self::PLUGIN_ROOT)

ex = SketchupExtension.new("Eneroth Texture Positioning Tools", File.join(PLUGIN_ROOT, "/ene_texturepositioning/main.rb"))
ex.description = "Fast texture positioning on multiple faces. Align to faces' side. Align to given edge Rotate 90° clockwise or counter clockwise in one click. Rotate in custom angle. Get rid of patterns formed between faces."
ex.version = "1.0.3"
ex.copyright = "Julia Christina (eneroth3) Eneroth 2013"
ex.creator = "Julia Christina (eneroth3) Eneroth"
Sketchup.register_extension ex, true

end#module